Bug 1284504 - /etc/sysconfig/openshift{master,node} is not longer valid
/etc/sysconfig/openshift{master,node} is not longer valid
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ashley Hardin
Ma xiaoqiang
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 08:48 EST by Eduardo Minguez
Modified: 2016-07-03 20:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 12:06:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Minguez 2015-11-23 08:48:32 EST
Document URL: https://docs.openshift.com/enterprise/3.1/install_config/upgrades.html

Section Number and Name: 

Describe the issue: Documentation misses that if you've customized /etc/sysconfig/openshift-{master,node} files, they won't be migrated to /etc/sysconfig/atomic-openshift-{master,node} files (i.e.- proxy configuration)

Suggestions for improvement: Add a section about what to check after the openshift services renaming.

Additional information:
Comment 2 Ashley Hardin 2016-03-03 16:50:24 EST
Work in progress: https://github.com/openshift/openshift-docs/pull/1688
Comment 3 Ashley Hardin 2016-03-03 16:52:51 EST
@Scott - Do these changes look good to you?
Comment 4 Scott Dodson 2016-03-04 09:17:36 EST
Yup, looks good to me.
Comment 5 openshift-github-bot 2016-03-04 15:51:43 EST
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/8b252223ef781402c5425578226381e3246249cc
Bug 1284504, verify custom configuration is added to new paths

https://github.com/openshift/openshift-docs/commit/25908f64576719416316de17824084604f4ebb8e
Merge pull request #1688 from ahardin-rh/verify-etc

Bug 1284504, verify custom configuration is added to new paths

Note You need to log in before you can comment on or make changes to this bug.